Highlighted

VRTSicsco install problems when upgrading from 6.0mp4 to 6.5.3

Hi,

I am trying to upgrade a NBU master server from 6.0pm4 to 6.5.3.

server is AIX 5.3 TL7 sp3

I have downloaded the software from the symantec s/w repo and created a filesystem to contain the binaries.

The first part of the install works fine, then I get a Cant Install VRTSpbx error message, this is fixed by this quote from: www.netbackuphowto.com


""Copying the files from a Windows machine will indeed break the ICS installation, however this message is not caused by missing execute permissions. It is caused by a substandard installation script:

# grep CPI installics | grep find
CPI=`find $DIRNAME -name CPI | sort | sed -n 1p | sed ’s/\/CPI//’`
# find $DIRNAME -name CPI | sort | sed -n 1p | sed ’s/\/CPI//’
./authentication/scripts
# find . -name CPI.pm
./infrastructure_core_services/scripts/CPI/common/CPI.pm

I changed “1p” to “3p” and now ./installics gets past this error. But why the script developer decided to pick the first directory named CPI rather than the directory containing CPI.pm, I do not know.
""

After that however I get:

Initial system check:

Checking PBX installation on uk01wrs6008.aceins.com .......... 1.2.2.41

CPI ERROR V-9-1-1062 Cannot determine file location of VRTSicsco on AIX.
Please confirm that the VRTSicsco package is present in the pkgs/ or rpms/
dir. If it is not present, please bring this to the attention of the owner
of the missing package.
installics log files are saved at /opt/VRTS/install/logs/installics-y9X50v

I have looked through the forums and havent found anything yet, running rpm -qa does not show any pkg.

Any help would be great.



1 Solution

Accepted Solutions
Highlighted
Accepted Solution!

Solution

The current download we had was corrupt - Symatec Support have supplied the following,
There is a Technote on this same error which states the download has problems

Document ID: <297843>
E-Mail this document to a colleague
Not able to install Infrastructure Core Services (ICS), Can''t locate CPI/common/CPI.pm in @INC
--------------------------------------------------------------------------------
Details:
ISSUE: Not able to install ICS, Can't locate CPI/common/CPI.pm in @INC
ERROR CODE/MESSAGE:
# ./installics
Can't locate CPI/common/CPI.pm in @INC (@INC contains: ./authentication/scripts ./perl/lib/5.8.8/aix-thread-multi ./perl/lib/5.8.8/aix-thread-multi ./perl/lib/5.8.8 ./perl/lib/site_perl/5.8.8/aix-thread-multi ./perl/lib/site_perl/5.8.8/aix-thread-multi ./perl/lib/site_perl/5.8.8 ./perl/lib/site_perl/5.8.8/aix-thread-multi ./perl/lib/site_perl/5.8.8 ./perl/lib/site_perl /opt/VRTSperl/lib/5.8.8/aix-thread-multi /opt/VRTSperl/lib/5.8.8 /opt/VRTSperl/lib/site_perl/5.8.8/aix-thread-multi /opt/VRTSperl/lib/site_perl/5.8.8 /opt/VRTSperl/lib/site_perl .) at ./installics line 7.
BEGIN failed--compilation aborted at ./installics line 7.

ENVIRONMENT/CONDITIONS:
AIX 5.2 64-bit
SOLUTION/WORKAROUND:
Install files copied to local disk incomplete or corrupt.
Installation of ICD successful using CD image stored on another server.

I downloaded NB_65_ICS_1.4.37.5_AIX.tar.Z from their ftp site and it worked fine.


View solution in original post

2 Replies
Highlighted

More info

More info:  Looking into the logfile for the above error it looks like it is running an AIX command wrong,

14:24:43 exec /usr/bin/lslpp -L | /usr/bin/grep 'VRTSpbx[. ]' 2>&1
14:24:43 VRTSpbx 1.2.2.41 C F Private Branch Exchange
14:24:43 exit=0
14:24:43 1.2.2.41
14:24:43 exec /usr/sbin/installp -L -d 2>&1 | /usr/bin/grep ::
14:24:43
14:24:43 exit=1
14:24:43 Checking PBX versions -> compvers(1.2.2.41, 0.0.0.0) returned 1
14:24:43

the lslpp -L works fine and brings up the software, however the installp _L -d command fails with a usage error.  I am assuming that its this section that is not working and bombing the install script,

also, this is what is installed,

# lslpp -L|grep VRTS
VRTSat.client 4.2.2.21 C F Authentication client Fileset
VRTSat.server 4.2.2.21 C F Authentication server fileset
VRTSicsco 1.2.3.18 C F VERITAS Infrastructure Core
VRTSpbx 1.2.2.41 C F Private Branch Exchange

Hope this helps ???

Highlighted
Accepted Solution!

Solution

The current download we had was corrupt - Symatec Support have supplied the following,
There is a Technote on this same error which states the download has problems

Document ID: <297843>
E-Mail this document to a colleague
Not able to install Infrastructure Core Services (ICS), Can''t locate CPI/common/CPI.pm in @INC
--------------------------------------------------------------------------------
Details:
ISSUE: Not able to install ICS, Can't locate CPI/common/CPI.pm in @INC
ERROR CODE/MESSAGE:
# ./installics
Can't locate CPI/common/CPI.pm in @INC (@INC contains: ./authentication/scripts ./perl/lib/5.8.8/aix-thread-multi ./perl/lib/5.8.8/aix-thread-multi ./perl/lib/5.8.8 ./perl/lib/site_perl/5.8.8/aix-thread-multi ./perl/lib/site_perl/5.8.8/aix-thread-multi ./perl/lib/site_perl/5.8.8 ./perl/lib/site_perl/5.8.8/aix-thread-multi ./perl/lib/site_perl/5.8.8 ./perl/lib/site_perl /opt/VRTSperl/lib/5.8.8/aix-thread-multi /opt/VRTSperl/lib/5.8.8 /opt/VRTSperl/lib/site_perl/5.8.8/aix-thread-multi /opt/VRTSperl/lib/site_perl/5.8.8 /opt/VRTSperl/lib/site_perl .) at ./installics line 7.
BEGIN failed--compilation aborted at ./installics line 7.

ENVIRONMENT/CONDITIONS:
AIX 5.2 64-bit
SOLUTION/WORKAROUND:
Install files copied to local disk incomplete or corrupt.
Installation of ICD successful using CD image stored on another server.

I downloaded NB_65_ICS_1.4.37.5_AIX.tar.Z from their ftp site and it worked fine.


View solution in original post